WHM script that updates and configures an Apache web server

learn more… | top users | synonyms

3
votes
1answer
46 views

mod_security ruleset for Joomla! admin

I run several hosting servers and recently I have experienced a lot of bruteforce attacks against joomla-based websites. Attackers seem to try a bruteforce against administrator/index.php page. I ...
0
votes
1answer
51 views

SuPhp 500 internal server error

Hi i upgraded php to PHP Version 5.4.32 Now SuPhp generate a 500 internal server error If i switch to DSO it runs but that cause other php read write permission error I have tried with permission ...
0
votes
1answer
276 views

Yum problems with easy apache - The server’s system package manager, ‘YUM’, failed.?

I keep getting the following error on easy appache !! The server’s system package manager, ‘YUM’, failed. ! !! This is the command that failed: yum -y install gettext automake19 libstdc++.x86_64 ...
0
votes
0answers
145 views

easyapache could not continue because of pcre upgrade error

I'm trying to update Apache and PHP through easyapache but I couldn't proceed because of the pcre update. Here are the logs !! Verbose logfile is at ...
2
votes
0answers
96 views

Two CentOS servers, the weaker one performs 3 times faster than the stronger one

I have a dedicated server which is 8*3.3GHz Intel Xeon and 8GB of RAM, and the other one which is 4*2.3Ghz and 4GB of RAM. Servers are on different hosting company. I have some scripts that are ...
0
votes
1answer
642 views

How to install mod_remoteip - Easy Apache

I have installed Apache 2.4 on my Centos 6.5, and I want to set NginX reverse proxy configuration on my server, but I need mod_remoteip to do that. When I execute this command httpd -l there is no ...
-1
votes
2answers
4k views

How to turn off mod_security 2 on apache cpanel?

Preface I have been banging my head searching and trying to figure out why I am getting a 406 error on some occasions: Not Acceptable: An appropriate representation of the requested resource / could ...
2
votes
0answers
330 views

Unable to load Curl extensions

I am getting this line in my error_log PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20090626/php_curl.dll' This is what I have done: 1. ...
0
votes
2answers
38 views

how to proxy https connections to http? [closed]

I have an Apache web server running with both HTTP and HTTPS connections. I would like to disable the direct HTTPS connection and configure a local proxy server that will receive the HTTPS connection ...
0
votes
1answer
25 views

redeploy code on Tomcat Server

I am having 2 applications deployed on Tomcat 7 Server. What should i do after redeploying java code on server Restart application using Tomcat Manager Restart Tomcat, but that will restart both ...
0
votes
0answers
103 views

tomcat treats my JSF2 application as HTML

I have a JSF2 application I can access my application @ http://tvmteleshopping.com/faces/ui/manageProfile.xhtml But when i use http://tvmteleshopping.com/ui/manageProfile.xhtml (without /faces/ ) ...
1
vote
0answers
833 views

How to reinstall mod_security for Apache

Today I tried to update my PHP version in EasyApache but on enable ModSecurity it throw an error in last step of rebuilding. I like to enable mod_security for security reasons, of course. :P But I ...
2
votes
1answer
384 views

FcgidMaxProcesses not respected

I'm using FastCGI (fcgi). I'm having a problem where more PHP processes are being spawned than what should be, which is eating up my RAM. I'm using WHM, and so have set the following PHP settings via ...
0
votes
1answer
370 views

CPANEL ModSec2 not working with SecFilterSelective

Ok, I have cPanel/WHM latest on a Dedi, here are my specs on apache: Server version: Apache/2.2.23 (Unix) Server built: Oct 13 2012 19:33:23 Cpanel::Easy::Apache v3.14.13 rev9999 I just ran a ...
0
votes
1answer
801 views

Getting mysqlnd into PHP 5.4… With or around EasyApache

I'm likely not thinking of some information that may be relevant, but here's pretty much what I've been trying to sort out. I (unfortunately) am in charge of a server infested with cPanel. For ...
1
vote
3answers
652 views

Can you have multiple PHP 5.x versions with cPanel 11.3x?

I've been Googling around for a while on this one but I haven't found a good answer yet! Is it possible to set up cPanel 11.3x so that it can run different versions of PHP 5.x (e.g. 5.2, 5.3 and ...
2
votes
1answer
608 views

Installed mod_geoip, but is not appearing in php $_SERVER variable

I just installed mod_geoip on a dedicated server, I did something like this: cd /usr/share/GeoIP/ wget http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz gzip -d ...
0
votes
1answer
1k views

500 internal error suphp

I'm using godaddy CentOS, Cpanle, suphp with easyapache and when i try to hit my php page i get 500 error and following lines in Apache log: [Fri Apr 20 04:23:48 2012] [error] [client ...
0
votes
1answer
554 views

Installing GeoIP in cPanel/WHM

I need to install GeoIP on a cPanel server (running CentOS 5.8). I have tried installing it through EasyApache (after installing geoip-devel and the relevant EasyApache addon), and it seems to have ...
0
votes
1answer
67 views

glob in perl doesn't work on RHEL 6.2 webserver

here's a very simple script: [root@poker cgi-bin]# cat globtest.pl #!/usr/bin/perl -w my $foo="/tmp/*"; my @glob=glob($foo); my $size=scalar(@glob); print "Content-type: text/html\n\n"; print ...
0
votes
1answer
6k views

Error when restarting Apache

I am trying to restart Apache on CentOS 5.7 server but am getting the following error message when I run: service httpd restart httpd: Syntax error on line 37 of /usr/local/apache/conf/httpd.conf: ...
0
votes
1answer
350 views

After Installing GD using SSH and Recompiling Apache and PHP server wen down

Hello guys, I wanted to install GD so, I read one of the topics to follow these steps below to install it and to install other modules too. So I did. /scripts/easyapache Select option 1 ...
1
vote
1answer
209 views

Apache installing a module

I need to install several Apache modules, which for some strange reason are not present in /etc/httpd/modules/ (including mod_deflate, mod_headers and mod_expires). The strange part is that according ...
0
votes
2answers
1k views

Cannot load mod_deflate

I'm running CentOS 5.6 with cPanel. I've rebuilt my apache to have deflate enabled. Here is my EasyApache Build Log: ./configure --enable-deflate --enable-expires ...
0
votes
1answer
266 views

Deep recursion in WHM EasyApache software update causes out of memory

I was trying to load some modules with EasyApache in a software update (WHM) cause I need to install Magento ecommerce. I did the first EasyApache update. However, one module I needed was not loaded. ...
0
votes
2answers
191 views

/scripts/easyapache broke PHP and now outputs binary

I ran /scripts/easyapache on one of my cpanel servers last night and since then PHP just gives 501 errors, which no logs I can find. I tried running it again and it's running as normal but all output ...
2
votes
1answer
7k views

WHM Cpanel Enable/Install MBstring module

This is related to my dedicated server, I have successfully created a package and linked up my domain yesterday. I am getting an error regarding mb_convert_encoding() wich after doing some reading ...